iSprite2DFactoryState Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iSprite2DFactoryState Struct Reference
Mesh plugins

This interface describes the API for the sprite factory mesh object. More...

`#include <imesh/sprite2d.h>`

Inheritance diagram for iSprite2DFactoryState:

List of all members.

## Public Member Functions
virtual iSprite2DUVAnimation * | CreateUVAnimation ()=0
| Create a new UV animation.
virtual iSprite2DUVAnimation * | GetUVAnimation (const char *name) const =0
| Get a specific UV animation by name.
virtual iSprite2DUVAnimation * | GetUVAnimation (int idx) const =0
| Get a specific UV animation by index.
virtual int | GetUVAnimationCount () const =0
| Get the number of UVAnimations.
virtual iColoredVertices * | GetVertices ()=0
| Get the vertex array.
virtual bool | HasLighting () const =0
| Return the value of the lighting flag.
virtual void | RemoveUVAnimation (iSprite2DUVAnimation *anim)=0
| Remove an UV animation.
virtual void | SetLighting (bool l)=0
| Set true if this sprite needs lighting (default).

## Detailed Description

This interface describes the API for the sprite factory mesh object.

Definition at line 174 of file sprite2d.h.

## Member Function Documentation

virtual iSprite2DUVAnimation* iSprite2DFactoryState::CreateUVAnimation | ( |  | ) | `[pure virtual]`

Create a new UV animation.

virtual iSprite2DUVAnimation* iSprite2DFactoryState::GetUVAnimation | ( | const char * | name | ) | const`[pure virtual]`

Get a specific UV animation by name.

Returns 0 if not found.

Implemented in iSprite2DState.

virtual iSprite2DUVAnimation* iSprite2DFactoryState::GetUVAnimation | ( | int | idx | ) | const`[pure virtual]`

Get a specific UV animation by index.

Returns 0 if not found.

Implemented in iSprite2DState.

virtual int iSprite2DFactoryState::GetUVAnimationCount | ( |  | ) | const`[pure virtual]`

Get the number of UVAnimations.

virtual iColoredVertices* iSprite2DFactoryState::GetVertices | ( |  | ) | `[pure virtual]`

Get the vertex array.

Implemented in iSprite2DState.

virtual bool iSprite2DFactoryState::HasLighting | ( |  | ) | const`[pure virtual]`

Return the value of the lighting flag.

virtual void iSprite2DFactoryState::RemoveUVAnimation | ( | iSprite2DUVAnimation * | anim | ) | `[pure virtual]`

Remove an UV animation.

virtual void iSprite2DFactoryState::SetLighting | ( | bool | l | ) | `[pure virtual]`

Set true if this sprite needs lighting (default).

Otherwise the given colors are used. If lighting is disabled then the color_init array is copied to the color array.

The documentation for this struct was generated from the following file:

- imesh/sprite2d.h